/* traccia bianca in logo cassa edile svg */
.shadow-img-custom img {
/*  filter: drop-shadow(5px 3px 3px rgb(0 0 0 / 0.9));
  filter: drop-shadow(7px 5px 5px rgb(0 0 0 / 0.9)); */
    filter: 
    drop-shadow(0px 0px 0px #ffffff) 
    drop-shadow(0.25px 0px 0px #ffffff) 
    drop-shadow(0px 0px 0px #ffffff)
    drop-shadow(0px 0.25px 0px #ffffff);
}
/* icona menù footer */
i.ba-menu-item-icon {
  margin-right:5px !important;
  margin-bottom: 3px;
}
/* non cliccabile */
.no-link {
  pointer-events:none;
}
/* icone condivisione */
.soc-net .ba-social-circle.ba-social .social-button {
  border-radius:8px;
  background-color: rgba(255,255,255,0.1);
}
 .soc-net .ba-social-circle.ba-social .twitter .social-button  i {
  font-size:0.85rem !important;
}
.soc-net .ba-social > div {
  border-radius:0;
  margin: .3125rem .425rem .3125rem .425rem;
}
  .soc-net .ba-social > div:nth-child(1) {
  margin-left:0px;
}
.soc-net.ba-item-social {
  text-align:left;
}
.soc-net .ba-social-circle .social-button {
  border: 1px solid var(--text-inverse);
}
.soc-net .ba-social-circle .social-button i {
  color:var(--text-inverse);
}
.soc-net .ba-social-circle.ba-social.ba-social-sm .social-button {
  height:2.5rem;
  min-width:2.5rem;
}
/* custom box */
/*.custom-box .ba-feature-box{
  opacity:1;
  transition: opacity .35s ease, transform .35s ease;
}*/
/* Stato: Nascosto ma preserva la struttura */
.ba-item-feature-box.custom-box .ba-feature-box.hidden-item {
    opacity: 0 !important;
    visibility: hidden !important;
    height: 0 !important;
    margin-top: 0 !important;
    margin-bottom: 0 !important;
    padding-top: 0 !important;
    padding-bottom: 0 !important;
    overflow: hidden !important;
    pointer-events: none !important;
    transform: translateY(20px);
}

/* Stato: Visibile (Ripristina i valori naturali) */
.ba-item-feature-box.custom-box .ba-feature-box.visible-item {
    opacity: 1 !important;
    visibility: visible !important;
    height: auto !important; /* Permette al box di riprendere la sua altezza */
    pointer-events: auto !important;
    transform: translateY(0);
    transition: opacity 0.4s ease, transform 0.4s ease;
}
/* testo a scorrimento in home */
.marquee-text-effect {
    display: inline-flex !important;
    overflow: hidden;
}
@keyframes marquee-text-effect {
    0% { transform:translateX(0%);}
    100% { transform:translateX(-100%);}
}
.marquee-text-effect .content-text {
    display: inline-flex;
    justify-content: space-around;
}
.marquee-text-effect .content-text > * {
    display: inline-block;
    padding: 0 10px;
    white-space: nowrap;
}